Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeFile Class Reference

general interface class to allow simple usage of the file returned from a file system. More...

`#include <deFile.hpp>`

Inheritance diagram for IdeFile:

[legend]
List of all members.

## Public Types
enum | Seek { SEEKF_START = 0, SEEKF_END, SEEKF_CURRENT, SEEK_COUNT, SEEK_FORCE_32BIT = 0x7FFFFFFF }
enum | interface_t { iface_IdeFile = 0, iface_IdeFileReal, iface_IdeFileMemory, iface_IdeFileVirtual, iface_IdeFilePlugin, iface_force_32bit = 0x7FFFFFFF }
## Public Member Functions
virtual void * | GetInterface (IdeFile::interface_t i)=0
virtual int | Release ()=0
virtual deBoolean | Open (IdeFileSystem *BaseFS, char *Filename, long OpenFlags)=0
| open a file
virtual deBoolean | Close ()=0
| close an open file
virtual long | Read (void *Buffer, long Length)=0
| read a file
virtual long | Write (void *Buffer, long Length)=0
| write a file
virtual long | GetPosition ()=0
| get file position
virtual long | SetPosition (long NewPosition, IdeFile::Seek SeekType)=0
| set file position
virtual long | GetSize ()=0
| get a file's size
virtual deBoolean | SetSize (long NewSize)=0
| set a file's length
virtual s64 | GetTime ()=0
| get a file's date/time
virtual deBoolean | SetTime (s64 Time)=0
| set a file's date/time
virtual deBoolean | GetProperties (deFileProperties *Properties)=0
| get current file's properties
virtual long | GetOpenFlags ()=0
| get the open flags
## Protected Member Functions
virtual | ~IdeFile ()

## Detailed Description

general interface class to allow simple usage of the file returned from a file system.

## Member Enumeration Documentation

enum IdeFile::interface_t

  | Enumeration values:
  iface_IdeFile |
  iface_IdeFileReal |
  iface_IdeFileMemory |
  iface_IdeFileVirtual |
  iface_IdeFilePlugin |
  iface_force_32bit |

enum IdeFile::Seek

  | Enumeration values:
  SEEKF_START | start of a file
  SEEKF_END | end of a file
  SEEKF_CURRENT | current file pos
  SEEK_COUNT |
  SEEK_FORCE_32BIT |

## Constructor & Destructor Documentation

virtual IdeFile::~IdeFile | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual deBoolean IdeFile::Close | ( |  | ) | `[pure virtual]`

| close an open file Implemented in deFile, deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

virtual void* IdeFile::GetInterface | ( | IdeFile::interface_t | i | ) | `[pure virtual]`

| Implemented in deFile, deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

virtual long IdeFile::GetOpenFlags | ( |  | ) | `[pure virtual]`

| get the open flags Implemented in deFile, deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

virtual long IdeFile::GetPosition | ( |  | ) | `[pure virtual]`

| get file position Implemented in deFile, deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

virtual deBoolean IdeFile::GetProperties | ( | deFileProperties * | Properties | ) | `[pure virtual]`

| get current file's properties Implemented in deFile, deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

virtual long IdeFile::GetSize | ( |  | ) | `[pure virtual]`

| get a file's size Implemented in deFile, deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

virtual s64 IdeFile::GetTime | ( |  | ) | `[pure virtual]`

| get a file's date/time Implemented in deFile, deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

virtual deBoolean IdeFile::Open | ( | IdeFileSystem * | BaseFS,
|  | char * | Filename,
|  | long | OpenFlags
| ) | `[pure virtual]`

| open a file Implemented in IdeFileMemory, IdeFilePlugin, deFile, deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

virtual long IdeFile::Read | ( | void * | Buffer,
|  | long | Length
| ) | `[pure virtual]`

| read a file Implemented in deFile, deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

virtual int IdeFile::Release | ( |  | ) | `[pure virtual]`

| Implemented in deFile, deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

virtual long IdeFile::SetPosition | ( | long | NewPosition,
|  | IdeFile::Seek | SeekType
| ) | `[pure virtual]`

| set file position Implemented in deFile, deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

virtual deBoolean IdeFile::SetSize | ( | long | NewSize | ) | `[pure virtual]`

| set a file's length Implemented in deFile, deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

virtual deBoolean IdeFile::SetTime | ( | s64 | Time | ) | `[pure virtual]`

| set a file's date/time Implemented in deFile, deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

virtual long IdeFile::Write | ( | void * | Buffer,
|  | long | Length
| ) | `[pure virtual]`

| write a file Implemented in deFile, deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

The documentation for this class was generated from the following file:

- deFile.hpp